function()
    if select(2, CombatLogGetCurrentEventInfo()) == "SPELL_AURA_APPLIED" then
        local target = select(5, CombatLogGetCurrentEventInfo())
        local buff = select(13, CombatLogGetCurrentEventInfo())
        if target == UnitName("player") and aura_env.buffs[buff] ~= nil then
            aura_env.timeApplied = GetTime()
            return true
        end
    end
end